Bug 1467754 - boot-code installation failure [NEEDINFO]
boot-code installation failure
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
26
i686 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-04 20:53 EDT by JohnT
Modified: 2018-05-29 08:14 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:14:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
awilliam: needinfo? (democritus7)


Attachments (Terms of Use)

  None (edit)
Description JohnT 2017-07-04 20:53:37 EDT
Description of problem: Installer fails with unspecified fatal error trying to write boot-sector grub2 code, in performing a network install on existing but clean Linux partitions (and partition table) occupying entire disk.


Version-Release number of selected component (if applicable): I found this error on Beta 26 and release 25. Release 24 reported failure to write grub2 boot code.


How reproducible: always


Steps to Reproduce:
1. Boot net installer disk and follow steps to initialize installation
2. Download and install the requested software
3. Tell the installer to install the boot code to the boot sector of disk

Actual results: Installer successfully downloads and installs requested software and then fails to write boot code to boot sector of disk though the sector is writable according to the BIOS and previous distro installations.


Expected results: I expected the installer to write the grub2 boot code to the disk to make a bootable system.


Additional info: The hardware is an old P4 (32-bit) HP Compaq with 1 gb of main memory and 40 gb of disk, good enough for testing. Not a UEFI system, not 64-bit. I tried Beta 26, Release 25 and Release 24---all have installation problems. Release 23 worked for me. So the bug arose from installer changes after Release 23.

Trying to install a current non-Fedora distro immediately gave a specific error, a partition table that was said to be unreadable by the UEFI-compatible partition-reading code of that installer. This suggests to me that different parts of some installers may not be on the same page re UEFI vs legacy partitions, 32-bit vs 64-bit, partitioning and formatting, etc. It also makes me think that legacy code may have been wrongly deleted from installers.
Comment 1 Adam Williamson 2017-07-05 01:14:51 EDT
What exactly do you mean by 'unspecified fatal error'? We can't do a lot about this without much more detailed information. For a start, it would help to see /tmp/anaconda.log and /tmp/program.log from the installer environment after the 'fatal error' has occurred.
Comment 2 JohnT 2017-07-24 20:16:01 EDT
You tell me. The error reporting by the installer was exactly that vague.
Comment 3 Adam Williamson 2017-07-24 21:21:45 EDT
I, uh, asked you to attach some specific log files.
Comment 4 Fedora End Of Life 2018-05-03 03:52:17 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2018-05-29 08:14:01 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.